tbb::interface9::internal::simple_partition_type Class Reference

`#include <partitioner.h>`

Inheritance diagram for tbb::interface9::internal::simple_partition_type:
Collaboration diagram for tbb::interface9::internal::simple_partition_type:

## Public Member Functions

| simple_partition_type (const simple_partitioner &)
| simple_partition_type (const simple_partition_type &, split)
template<typename StartType , typename Range >
void | execute (StartType &start, Range &range)
| simplified algorithm More...
Public Member Functions inherited from tbb::internal::partition_type_base< simple_partition_type >
void | set_affinity (task &)
void | note_affinity (task::affinity_id)
task * | continue_after_execute_range ()
bool | decide_whether_to_delay ()
void | spawn_or_delay (bool, task &b)

## Detailed Description

Definition at line 500 of file partitioner.h.

## Constructor & Destructor Documentation

## simple_partition_type() [1/2]

tbb::interface9::internal::simple_partition_type::simple_partition_type | ( | const simple_partitioner & |  | ) |

inline

Definition at line 502 of file partitioner.h.

{}

## simple_partition_type() [2/2]

tbb::interface9::internal::simple_partition_type::simple_partition_type | ( | const simple_partition_type & | ,
|  | split |
| ) |  |

inline

Definition at line 503 of file partitioner.h.

{}

## Member Function Documentation

## execute()

template<typename StartType , typename Range >

void tbb::interface9::internal::simple_partition_type::execute | ( | StartType & | start,
|  | Range & | range
| ) |  |

inline

simplified algorithm

Definition at line 506 of file partitioner.h.

{
split_type split_obj = split(); // start.offer_work accepts split_type as reference
while( range.is_divisible() )
start.offer_work( split_obj );
start.run_body( range );
}

The documentation for this class was generated from the following file:

- partitioner.h

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.